%global __python %{__python3}
%global tag     1.3.275.0
%global gittag  %(cut -b -7 <<< %{tag})

Name:           vulkan-headers
Version:        %{tag}
Release:        1%{dist}
Summary:        Vulkan Header files and API registry

License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-Headers
Source0:        %url/archive/v%{gittag}.tar.gz#/Vulkan-Headers-%{gittag}.tar.gz

BuildRequires:  cmake3
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildArch:      noarch


%description
Vulkan Header files and API registry


%prep
%autosetup -n Vulkan-Headers-%{gittag}

%build
%cmake3 -DCMAKE_INSTALL_LIBDIR=%{_libdir}
%cmake3_build

%install
%cmake3_install


%files
%license LICENSE.md
%doc README.md
%{_includedir}/vulkan/
%{_includedir}/vk_video/
%dir %{_datadir}/vulkan/
%dir %{_datadir}/cmake/VulkanHeaders/
%{_datadir}/vulkan/registry/
%{_datadir}/cmake/VulkanHeaders/*.cmake


%changelog
* Sun Jan 14 2024 Bluestang <bluestang2006@gmail.com> - 1.3.275.0-1
- Update to 1.3.275 upstream

* Sun Aug 13 2023 Bluestang <bluestang2006@gmail.com> - 1.3.261.0-1
- Update to 1.3.261 upstream

* Thu Aug 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.260.0-1
- Update to 1.3.260 upstream

* Wed May 31 2023 Bluestang <bluestang2006@gmail.com> - 1.3.251.0-1
- Update to 1.3.251 upstream

* Sat May 06 2023 Bluestang <bluestang2006@gmail.com> - 1.3.250.0-1
- Update to 1.3.250 upstream

* Mon Apr 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.246.0-1
- Update to 1.3.246 upstream

* Fri Mar 24 2023 Bluestang <bluestang2006@gmail.com> - 1.3.245.0-1
- Update to 1.3.245 upstream

* Fri Mar 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.242.0-1
- Update to 1.3.242 upstream

* Fri Jan 27 2023 Bluestang <bluestang2006@gmail.com> - 1.3.240.0-1
- Update to 1.3.240 upstream

* Mon Dec 19 2022 Bluestang <bluestang2006@gmail.com> - 1.3.238.0-1
- Update to 1.3.238 upstream

* Fri Nov 18 2022 Bluestang <bluestang2006@gmail.com> - 1.3.235.0-1
- Update to 1.3.235 upstream

* Sun Nov 13 2022 Bluestang <bluestang2006@gmail.com> - 1.3.234.0-1
- Update to 1.3.234 upstream

* Sat Nov 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.233.0-1
- Update to 1.3.233 upstream

* Thu Sep 29 2022 Bluestang <bluestang2006@gmail.com> - 1.3.230.0-1
- Update to 1.3.230 upstream

* Thu Sep 15 2022 Bluestang <bluestang2006@gmail.com> - 1.3.228.0-1
- Update to 1.3.228 upstream

* Mon Sep 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.226.0-1
- Update to 1.3.226 upstream

* Sun Aug 28 2022 Bluestang <bluestang2006@gmail.com> - 1.3.225.0-1
- Update to 1.3.225 upstream

* Sat Aug 06 2022 Bluestang <bluestang2006@gmail.com> - 1.3.224.0-1
- Update to 1.3.224 upstream

* Mon Jul 18 2022 Bluestang <bluestang2006@gmail.com> - 1.3.221.0-1
- Update to 1.3.221 upstream

* Fri Jul 01 2022 Bluestang <bluestang2006@gmail.com> - 1.3.219.0-1
- Update to 1.3.219 upstream

* Fri Jun 17 2022 Bluestang <bluestang2006@gmail.com> - 1.3.218.0-1
- Update to 1.3.218 upstream

* Sun Jun 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.216.0-1
- Update to 1.3.216 upstream

* Mon May 30 2022 Bluestang <bluestang2006@gmail.com> - 1.3.215.0-1
- Update to 1.3.215 upstream

* Tue May 17 2022 Bluestang <bluestang2006@gmail.com> - 1.3.214.0-1
- Update to 1.3.214 upstream

* Tue Apr 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.211.0-1
- Update to 1.3.211 upstream

* Sat Apr 02 2022 Bluestang <bluestang2006@gmail.com> - 1.3.210.0-1
- Update to 1.3.210 upstream

* Sun Mar 13 2022 Bluestang <bluestang2006@gmail.com> - 1.3.207.0-1
- Update to 1.3.207 upstream

* Sat Feb 19 2022 Bluestang <bluestang2006@gmail.com> - 1.3.206.0-1
- Update to 1.3.206 upstream

* Tue Feb 08 2022 Bluestang <bluestang2006@gmail.com> - 1.3.205.0-1
- Update to 1.3.205 upstream

* Wed Jan 26 2022 Bluestang <bluestang2006@gmail.com> - 1.3.204-1
- Update to 1.3.204 upstream

* Thu Dec 23 2021 Bluestang <bluestang2006@gmail.com> - 1.2.202-1
- Update to 1.2.202 upstream
